summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/lib5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/lib b/tests/lib
index 0ae9bbc..e960c1c 100644
--- a/tests/lib
+++ b/tests/lib
@@ -370,8 +370,9 @@ t-ref-dsc-dgit () {
t-apply-diff () {
local v1=$1
local v2=$2
- (cd $troot/pkg-srcs; debdiff ${p}_${v1}.dsc ${p}_${v2}.dsc) \
- | patch -p1 -u
+ (cd $troot/pkg-srcs;
+ debdiff ${p}_${v1}.dsc ${p}_${v2}.dsc || test $? = 1) \
+ | patch -p1 -u
}
t-commit () {